GDSA< H > Struct Template Reference

DSA-1363 More...

`#include <gfpcrypt.h>`

Inheritance diagram for GDSA< H >:

## Public Types

typedef PK_FinalTemplate< DL_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate< DL_VerifierImpl< SchemeOptions > > | Verifier
| implements PK_Verifier interface
typedef DL_GroupParameters_GFP | GroupParameters
typedef DL_PublicKey_GFP< GroupParameters > | PublicKey
typedef DL_PrivateKey_GFP< GroupParameters > | PrivateKey

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class H>
struct GDSA< H >

DSA-1363

Definition at line 345 of file gfpcrypt.h.

The documentation for this struct was generated from the following file:

- gfpcrypt.h